List Experiments Paginated
curl --request GET \
--url https://api.galileo.ai/v2/projects/{project_id}/experiments/paginated \
--header 'Galileo-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/experiments/paginated"
headers = {"Galileo-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Galileo-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/projects/{project_id}/experiments/paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"starting_token": 0,
"limit": 100,
"paginated": false,
"next_starting_token": 123,
"experiments": [
{
"id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "",
"created_by": "<string>",
"created_by_user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"num_spans": 123,
"num_traces": 123,
"num_sessions": 123,
"dataset": {
"dataset_id": "<string>",
"version_index": 123,
"name": "<string>"
},
"aggregate_metrics": {},
"structured_aggregate_metrics": {},
"aggregate_feedback": {},
"rating_aggregates": {},
"ranking_score": 123,
"rank": 123,
"winner": true,
"playground_id": "<string>",
"playground": {
"playground_id": "<string>",
"name": "<string>"
},
"prompt_run_settings": {
"logprobs": true,
"top_logprobs": 5,
"echo": false,
"n": 1,
"reasoning_effort": "medium",
"verbosity": "medium",
"deployment_name": "<string>",
"model_alias": "gpt-5.1",
"temperature": 123,
"max_tokens": 4096,
"stop_sequences": [
"<string>"
],
"top_p": 1,
"top_k": 40,
"frequency_penalty": 0,
"presence_penalty": 0,
"tools": "<string>",
"tool_choice": "<string>",
"response_format": {}
},
"prompt_model": "<string>",
"prompt": {
"prompt_template_id": "<string>",
"version_index": 123,
"name": "<string>",
"content": "<string>"
},
"tags": {},
"status": {
"log_generation": {
"progress_percent": 0
}
},
"experiment_group_id": "<string>",
"experiment_group_name": "<string>",
"experiment_group_is_system": true
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}experiment
List Experiments Paginated
Retrieve all experiments for a project with pagination.
GET
/
v2
/
projects
/
{project_id}
/
experiments
/
paginated
List Experiments Paginated
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Query Parameters
Was this page helpful?
⌘I